Package ru.bitel.bgbilling.modules.mps.common.service

# Interface MPSService

public interface MPSService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `checkContract(String contract)`
  Метод проверяет наличие указанного договора в БД `MobiMoneyWSImpl`.
  `void`
  `checkStatus(Transaction transaction)`
  Метод, принудительно проверяющий статус указанной транзакции.
  `boolean`
  `checkTransaction(int contractId, String transactionId)`
  Метод проверяет наличие у указанного договора платежа в указанный момент времени `MobiMoneyWSImpl`
  `void`
  `deleteMPSSystemConfig(String key)`
  `String`
  `getMPSSystemConfig(String key)`
  `List<ru.bitel.bgbilling.common.model.KeyValue>`
  `getMPSSystemList()`
  Возвращает список настроенных систем для модуля
  `Transaction`
  `getTransaction(String transactionId)`
  Получение одной единственной транзакции.
  `SearchResult<Transaction>`
  `searchTransactions(int contractId, String systemId, String status, PeriodWithTime period, Page page)`
  Cписок транзакций по договору
  `void`
  `updateMPSSystemConfig(String key, String text)`
  `void`
  `updateTransaction(Transaction transaction)`
  Метод, добавляющий/обновляющий транзакцию.

- ## Method Details

  - ### searchTransactions

    SearchResult<Transaction> searchTransactions(int contractId, String systemId, String status, PeriodWithTime period, Page page) throws ru.bitel.bgbilling.common.BGException
    Cписок транзакций по договору
    Parameters:
      `contractId` - код договора
      `systemId` - код платежной системы
      `period` - период, за который искать транзакции
      `statusId` - статус транзакции
    Returns:
      отфильтрованный список транзакций
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTransaction

    Transaction getTransaction(String transactionId) throws ru.bitel.bgbilling.common.BGException
    Получение одной единственной транзакции. Используется на серверной стороне, когда приходят запросы на обновление статуса и/или даты платежа.
    Parameters:
      `transactionId` - код транзакции на стороне сервера
    Returns:
      транзакция
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateTransaction

    void updateTransaction(Transaction transaction) throws ru.bitel.bgbilling.common.BGException
    Метод, добавляющий/обновляющий транзакцию. В случае, если у транзакции отсутствует идентификатор, то происходит добавление новой транзакции в БД, иначе в БД происходит обновление полей транзакции.
    Parameters:
      `transaction` - добавляемая/обновляемая транзакция
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### checkStatus

    void checkStatus(Transaction transaction) throws ru.bitel.bgbilling.common.BGException
    Метод, принудительно проверяющий статус указанной транзакции. Происходит обращение к сервису и в случае, если статус изменился, то меняется статус в БД.
    Parameters:
      `transaction` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### checkContract

    int checkContract(String contract) throws ru.bitel.bgbilling.common.BGException
    Метод проверяет наличие указанного договора в БД `MobiMoneyWSImpl`.
    Parameters:
      `contract` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### checkTransaction

    boolean checkTransaction(int contractId, String transactionId) throws ru.bitel.bgbilling.common.BGException
    Метод проверяет наличие у указанного договора платежа в указанный момент времени `MobiMoneyWSImpl`
    Parameters:
      `contractId` - код договора
      `transactionId` - код транзакции
    Returns:
      если транзакция уже есть в БД, то возвращается она, иначе пустая транзакция
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getMPSSystemList

    List<ru.bitel.bgbilling.common.model.KeyValue> getMPSSystemList() throws ru.bitel.bgbilling.common.BGException
    Возвращает список настроенных систем для модуля
    Returns:
      массив строк, где i элемент код системы, а i+1 элемент наименование системы
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getMPSSystemConfig

    String getMPSSystemConfig(String key) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateMPSSystemConfig

    void updateMPSSystemConfig(String key, String text) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteMPSSystemConfig

    void deleteMPSSystemConfig(String key) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`